#ifndef __ObjReader_H__
#define __ObjReader_H__

#include <string>
#include <vector>
#include <Ogre.h>
#include "Containers.h"

namespace  GtpVisibilityPreprocessor {
class Intersectable;
}

class __declspec(dllexport) ObjReader
{
public:
	ObjReader(Ogre::SceneManager *sceneManager);
	~ObjReader();

	bool LoadFile(const std::string &sceneName, 
				  const std::string &visibilitySolution,
				  Ogre::SceneNode *root);
	void dummy();
	Ogre::Entity * dummy2(const std::string &name,
				GtpVisibilityPreprocessor::Intersectable *object);
	Ogre::Entity *CreateEntity(const std::string &name,
							   GtpVisibilityPreprocessor::Intersectable *object);
	Ogre::ManualObject *CreateManualObject(const std::string &name,
							   GtpVisibilityPreprocessor::Intersectable *object);
protected:

	Ogre::SceneManager *mSceneManager;
	GtpVisibilityPreprocessor::ObjectContainer mPvsObjects;
};

#endif